#ifndef _Account_h
#define _Account_h



#include "Object.h"
#include "Money.h"



class Account : public Object
{
public:
	virtual void acceptReader(Reader*);
	virtual void acceptWriter(Writer*) const;
	virtual const char* typeName() const;
	
	virtual Money& balance();
	virtual void balance(Money&);
	
	virtual void deposit(Amount&);
	virtual void deposit(Money&);
	virtual void withdraw(Amount&);
	virtual void withdraw(Money&);
	
	Account();
	Account(const Account&);
	
private:
	Money money;

};



#endif

